
%define		orgname	telepathy-qt
%define		qt_ver		4.8.2

Summary:	Library for Qt4-based Telepathy clients
Summary(pl.UTF-8):	Biblioteka dla klientów Telepathy opartych na Qt4
Name:		telepathy-qt4
Version:	0.9.3
Release:	4
License:	LGPL v2.1
Group:		X11/Applications
Source0:	http://telepathy.freedesktop.org/releases/telepathy-qt/%{orgname}-%{version}.tar.gz
# Source0-md5:	94ac93aedf5f6fff49837bc8368e5a37
Patch0:		%{name}-build.patch
URL:		http://telepathy.freedesktop.org/wiki/Telepathy-Qt4
BuildRequires:	QtCore-devel >= %{qt_ver}
BuildRequires:	QtDBus-devel >= %{qt_ver}
BuildRequires:	QtGui-devel >= %{qt_ver}
BuildRequires:	QtNetwork-devel >= %{qt_ver}
BuildRequires:	QtXml-devel >= %{qt_ver}
BuildRequires:	QtTest-devel >= %{qt_ver}
BuildRequires:	cmake >= 2.6
BuildRequires:	dbus-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	farstream-devel >= 0.1.0
BuildRequires:	glib2-devel >= 2.0
BuildRequires:	libxml2-devel >= 2.0
BuildRequires:	pkgconfig
BuildRequires:	python-dbus
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	python-modules >= 1:2.5
BuildRequires:	python-pygobject
BuildRequires:	qt4-build >= %{qt_ver}
BuildRequires:	qt4-qmake >= %{qt_ver}
BuildRequires:	rpmbuild(macros) >= 1.293
BuildRequires:	telepathy-farstream-devel >= 0.2.2
BuildRequires:	telepathy-glib-devel >= 0.19.5
Requires:	QtCore >= %{qt_ver}
Requires:	QtDBus >= %{qt_ver}
Requires:	QtNetwork >= %{qt_ver}
Requires:	QtXml >= %{qt_ver}
Requires:	telepathy-farstream >= 0.2.2
Requires:	telepathy-glib >= 0.19.5
Obsoletes:	telepathy-qt4-yell
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Library for Qt4-based Telepathy clients.

%description -l pl.UTF-8
Biblioteka dla klientów Telepathy opartych na Qt4.

%package devel
Summary:	Header files for telepathy-qt4 library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki telepathy-qt4
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	QtCore-devel >= %{qt_ver}
Requires:	QtDBus-devel >= %{qt_ver}
Obsoletes:	telepathy-qt4-yell-devel

%description devel
Header files for telepathy-qt4 library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki telepathy-qt4

%prep
%setup -q -n %{orgname}-%{version}
%patch0 -p1

%build
install -d build
cd build
%cmake \
	-DENABLE_FARSTREAM:BOOL=ON \
	-DENABLE_FARSIGHT:BOOL=OFF \
	-DQT_QMAKE_EXECUTABLE_FINDQT=%{_libdir}/qt4/bin/qmake \
        ../

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
        DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libtelepathy-qt4.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libtelepathy-qt4.so.2
%attr(755,root,root) %{_libdir}/libtelepathy-qt4-farstream.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libtelepathy-qt4-farstream.so.2

%files devel
%defattr(644,root,root,755)
%doc doc/html
%attr(755,root,root) %{_libdir}/libtelepathy-qt4.so
%attr(755,root,root) %{_libdir}/libtelepathy-qt4-farstream.so
%{_libdir}/cmake/TelepathyQt4
%{_libdir}/cmake/TelepathyQt4Farstream
%{_includedir}/telepathy-qt4
%{_pkgconfigdir}/TelepathyQt4.pc
%{_pkgconfigdir}/TelepathyQt4Farstream.pc
%changelog
* Sun Oct 07 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/telepathy-qt4.git;a=log;h=master

* Sun Oct 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 78f577f
- rel 4; fix build with new farstream

* Sat Sep 08 2012 Jakub Bogusz <qboosh@pld-linux.org> bcc96c2
- already includes telepathy-qt4-yell functionality, so Obsolete it

* Fri Sep 07 2012 Jakub Bogusz <qboosh@pld-linux.org> bfe5cf2
- completed dependencies
- real summary, pl

* Tue Aug 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 34c867e
- rel 3; include farstream

* Tue Aug 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 0f75cb2
- re; 2; pass explict qmake path

* Tue Aug 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> f448456
- force qtdir

* Sat Jul 28 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 1865d69
- up to 0.9.3

* Sat Jul 28 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 1f9778f
- up to 0.8.0

* Sun Feb 21 2010 shadzik <shadzik@pld-linux.org> 40d3524
- rel 3

* Sun Feb 21 2010 sparky <sparky@pld-linux.org> e521664
- BR: python-dbus, python-pygobject, telepathy-farsight-devel,
  telepathy-glib-devel
- added -qt4-farsight library

* Thu Feb 18 2010 sparky <sparky@pld-linux.org> ad4137f
- dropped unused BR: cmake, graphviz

* Wed Feb 17 2010 shadzik <shadzik@pld-linux.org> 93b1e41
- rel 2

* Sun Jan 10 2010 sparky <sparky@pld-linux.org> d9c999a
- versioned Qt*-devel
- mark library symlink as %ghost
- explicit version in includedir; but ! %{_includedir}/telepathy-1.0 belongs to
  libtelepathy-devel already (and to telepathy-glib-devel as well)

* Sun Jan 10 2010 sparky <sparky@pld-linux.org> 00468e9
- BR: QtNetwork-devel, QtTest-devel, python-modules

* Sat Jan 09 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 978e3d8
- initial

